Subject: [PATCH] omap: twl-common: Fix musb-hdrc device name.

From: [email-masked] (Tony Lindgren)
Date: Thu, 5 Dec 2013 10:43:23 -0800

* Belisko Marek <[email-masked]> [131203 01:21]:
> On Tue, Dec 3, 2013 at 10:08 AM, Belisko Marek <[email-masked]> wrote:
> > Hi,
> >
> > On Tue, Dec 3, 2013 at 9:58 AM, Kishon Vijay Abraham I <[email-masked]> wrote:
> >> Hi,
> >>
> >> On Tuesday 03 December 2013 02:03 PM, Marek Belisko wrote:
> >>> Without this change when booting omap3 device (gta04) with board file
> >>> leads to follwing errors:
> >>>
> >>> [    1.203308] musb-hdrc musb-hdrc.0.auto: unable to find phy
> >>> [    1.209075] HS USB OTG: no transceiver configured
> >>> [    1.214019] musb-hdrc musb-hdrc.0.auto: musb_init_controller failed with status -517
> >>>
> >>> and usb isn't working.
> >>>
> >>> This is probably regression caused by commit: 6c27f939
> >>
> >> I think a better fix would be to have this merged..
> >> https://lkml.org/lkml/2013/7/26/91
> > Yes I see but how this could help with current situation? Ho you then
> > specify device number?
> I was too fast with reply sorry. I can see whole series and it is of
> course correct solution. But as I said
> can we except to be merged to 3.13. If not Tony can you pick my patch.

If it's a regression, then let's get it merged for the -rc cycle.

So please try to follow up on getting the proper fix merged, meanwhile
I'll mark this thread as read. If you need this one merged for some
reason, then please report to get it back to my radar.

Regards,

Tony